#include "pdcids.h"
#include "pdprocessor.h"
#include "pdcontroller.h"

#include "public.sdk/source/main/pluginfactory.h"

#define stringPluginName "pd"

using namespace Steinberg::Vst;
using namespace Steinberg;


BEGIN_FACTORY_DEF("msp",  "msp.ucsd.edu", "mailto:msp@ucsd.edu")

    DEF_CLASS2 (INLINE_UID_FROM_FUID(kPdProcessorUID),
        PClassInfo::kManyInstances,
        kVstAudioEffectClass,
        stringPluginName,
        Vst::kDistributable,
        PdVST3Category,
        FULL_VERSION_STR,
        kVstVersionString,
        PdProcessor::createInstance)

    DEF_CLASS2 (INLINE_UID_FROM_FUID (kPdControllerUID),
        PClassInfo::kManyInstances,
        kVstComponentControllerClass,
        stringPluginName "Controller",
        0,
        "",
        FULL_VERSION_STR,
        kVstVersionString,
        PdController::createInstance)

END_FACTORY
